<template>
  <Public>
    <template v-slot:title>
      <span>{{ titleProp }}</span>
    </template>
    <template v-slot:publicTable>
      <el-tabs v-model="activeName" @tab-click="handleClick">
        <el-tab-pane v-for="(item,index) in topicList" :key="index" :label="item.name" :name="item.name"></el-tab-pane>
      </el-tabs>
      <div>
        <component :is="gcComp"></component>
      </div>
    </template>
  </Public>
</template>

<script>

import Public from '@components/table/Public'

import WasteWater from '@components/table/components/WasteWater'
import SoilGroundwater from '@components/table/components/SoilGroundwater'
import WasteGas from '@components/table/components/WasteGas'
import SolidWaste from '@components/table/components/WasteSolid'
import AirQuality from '@components/table/components/AirQuality'

import { TopicList } from '../../../conf/Topic'

export default {
  name: 'tabHandover',
  components: {
    Public,
    WasteWater,
    // WasteGas,
    // SoilGroundwater,
    SolidWaste,
    AirQuality
  },
  data () {
    return {
      titleProp: '',
      activeName: 'first',
      topicList: TopicList,
      gcComp: AirQuality
    }
  },
  methods: {
    refsDatatitle (item) {
      this.titleProp = item
    },
    handleClick (tab, event) {
      console.log(tab.label)
      switch (tab.label) {
        case '污染源':
          this.gcComp = AirQuality
          break
        case '废水':
          this.gcComp = WasteWater
          break
        case '废气':
          this.gcComp = WasteGas
          break
        case '固废':
          this.gcComp = SolidWaste
          break
        case '环境风险':
          this.gcComp = AirQuality
          break
        case '土壤及地下水':
          this.gcComp = SoilGroundwater
          break
        case '管线':
          this.gcComp = AirQuality
          break
      }
    }
  }
}
</script>

<style scoped>

</style>
